Skip to main content
GET
List products

Authorizations

Authorization
string
header
required

Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>

Path Parameters

workspaceId
string
required

The workspace ID

Pattern: ^ws_[a-z0-9]+$

Query Parameters

catalog_id
string<uuid>

Filter by catalog ID

brand_id
string<uuid>

Filter by brand ID (brand scoping, ADR 028)

Case-insensitive substring match on title, brand, sku or merchant_item_id

limit
integer
default:50

Page size (paged mode only)

Required range: 1 <= x <= 200
offset
integer
default:0

Page offset (paged mode only)

Required range: x >= 0

Response

Products retrieved successfully

products
object[]
required
total
integer

Total rows matching the filters (paged mode only)

limit
integer

Effective page size (paged mode only)

offset
integer

Effective page offset (paged mode only)

Last modified on February 16, 2026